# GeomAbs_CurveForm.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | GeomAbs_CurveForm { GeomAbs_PolylineForm, GeomAbs_CircularForm, GeomAbs_EllipticForm, GeomAbs_HyperbolicForm, GeomAbs_ParabolicForm, GeomAbs_OtherCurveForm }
| This enumeration is used to note specific surface form. . More...

## Enumeration Type Documentation

enum GeomAbs_CurveForm

Enumeration values:

  GeomAbs_PolylineForm |
  GeomAbs_CircularForm |
  GeomAbs_EllipticForm |
  GeomAbs_HyperbolicForm |
  GeomAbs_ParabolicForm |
  GeomAbs_OtherCurveForm |